#pragma once

#include "RtMidi.h"
#include "Message.h"
#include "MessageList.h"
#include <mutex>

namespace midi {

class Output : public RtMidiOut
{
private:
    std::mutex sendMessage_mutex;

public:
	void sendMessage(const Message& message);
	void sendMessages(const MessageList& messageList);
};

} // namespace midi
