#include "Clock.h"
#include <iostream>

using namespace std;

class TestClock : public midi::Clock
{
protected:
    virtual void tick() 
    {
        cout << now().time_since_epoch().count() / 1000000  << " tick" << endl;
    }
};

int main()
{
    TestClock c;
    c.setBpm(60);

    c.start();

    while(true) {
        TestClock::bpm_type bpm;
        cin >> bpm;
        if(bpm == 0) {
            c.stop();
            break;
        }
        c.setBpm(bpm);
    }

    return 0;
}
