#include <memory>
#include <iostream>
#include "MessageList.h"

using namespace midi;

int main()
{
    MessageList l;
    l.push_back(std::make_shared<NoteOnMessage>(1, 23, 43));
    l.push_back(std::make_shared<NoteOnMessage>(1, 23, 43));
    l.push_back(std::make_shared<NoteOnMessage>(2, 23, 43));
    l.push_back(std::make_shared<NoteOffMessage>(1, 23, 43));
    l.push_back(std::make_shared<NoteOffMessage>(1, 23, 43));

    l.print(std::cout);

    std::shared_ptr<Message> m = std::make_shared<NoteOffMessage>(1, 23, 43);
    MessageList::const_iterator m_it = l.find(*m);
    std::cout << "erase ";
    (*m_it)->print(std::cout);
    std::cout << "\n";
    l.erase(m_it);

    l.print(std::cout);

    return 0;
}

