#include "BeatSequence.h"
#include <iostream>

using namespace midi;

int main()
{
    BeatSequence s(4);
    for(BeatSequence::BeatIndex b = 0; b < s.size(); b++) {
        s[b].push_back(std::make_shared<NoteOnMessage>(b, b * 10, 1));
        s[b].push_back(std::make_shared<NoteOffMessage>(b, b * 10, 2));
        s[b].push_back(std::make_shared<NoteOnMessage>(b, b * 10, 3));
    }

    s.print(std::cout);

    s.expand(3);
    s.print(std::cout);

    s.resize(0);
    s.print(std::cout);

    s.expand(7);
    s.print(std::cout);

    return 0;
}
